#ifndef EVENT_H
#define EVENT_H

#include <json_hal_server.h>
#include "common.h"

enum {
	VOICE_CON_ENABLED,
	VOICE_CON_PROTOCOL,
	VOICE_CON_PORT,
	VOICE_CON_IP,
	_VOICE_CON_MAX
};

int subs_event_init();
void subs_event_uninit();
int subs_event_handler(const json_object *jmsg, int param_count, json_object *jreply);
int send_fw_rule_event(bool enable, char *protocol, char *ip, int port);
int send_fw_rules_clear_event();

#endif /* EVENT_H */

